commit:     bb093efdbdd232cc9950959c64a5a06e9c26ec0c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 10 20:01:20 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jul 10 20:01:20 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb093efd

app-misc/gentoo-elections: Package the election data

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-misc/gentoo-elections/Manifest                 |  1 +
 .../gentoo-elections-0_p20190710.ebuild            | 36 ++++++++++++++++++++++
 app-misc/gentoo-elections/metadata.xml             |  8 +++++
 3 files changed, 45 insertions(+)

diff --git a/app-misc/gentoo-elections/Manifest 
b/app-misc/gentoo-elections/Manifest
new file mode 100644
index 00000000000..061dbbf847b
--- /dev/null
+++ b/app-misc/gentoo-elections/Manifest
@@ -0,0 +1 @@
+DIST elections-20e84ba8cc3b328fccdc15219540443315ef4c20.tar.bz2 80881 BLAKE2B 
4009834986ea6cbff84dd0b250af95fa79c45c35bbf54a6a36543383a7cd5d18294070e51d499f74ad3e8de6a1ab8c17813838b8e57c2268e6736e53523951e9
 SHA512 
c8b4203707713a11564b93598d8bdcfcc3b9bfdc35b664ccc52d1eb8f81f9539cdcef619687cd1ab18b2c8ba9008685641482395c2a5badb4c19ece0c02e8824

diff --git a/app-misc/gentoo-elections/gentoo-elections-0_p20190710.ebuild 
b/app-misc/gentoo-elections/gentoo-elections-0_p20190710.ebuild
new file mode 100644
index 00000000000..719ceb3fa34
--- /dev/null
+++ b/app-misc/gentoo-elections/gentoo-elections-0_p20190710.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="elections-20e84ba8cc3b328fccdc15219540443315ef4c20"
+DESCRIPTION="Gentoo election control data and scripts"
+HOMEPAGE="https://gitweb.gentoo.org/proj/elections.git/";
+SRC_URI="https://gitweb.gentoo.org/proj/elections.git/snapshot/${MY_P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+       dev-lang/perl
+       dev-perl/Carp-Always
+       virtual/perl-Data-Dumper
+       virtual/perl-File-Spec
+       virtual/perl-Getopt-Long
+       virtual/perl-Scalar-List-Utils"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+       default
+
+       # delete obsolete, broken symlinks
+       find completed -name Votify.pm -delete || die
+}
+
+src_install() {
+       insinto /usr/lib/gentoo-elections
+       doins -r completed countify Votify.pm
+}

diff --git a/app-misc/gentoo-elections/metadata.xml 
b/app-misc/gentoo-elections/metadata.xml
new file mode 100644
index 00000000000..0319eec4c8b
--- /dev/null
+++ b/app-misc/gentoo-elections/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Michał Górny</name>
+       </maintainer>
+</pkgmetadata>

Reply via email to